%global rosdistro fuerte
%global stackname genmsg
%global gitrev 95ca00d
Name:           ros-%{rosdistro}-%{stackname}
Version:        0.3.10
Release:        2.git%{gitrev}%{?dist}
Summary:        Collection of CMake macros for ROS

License:        BSD
URL:            http://ros.org/doc/api/genmsg/html/
#wget --content-disposition https://github.com/ros/genmsg/tarball/0.3.10
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz

BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel

%description
%{name} decouples code generation from ROS msg & srv files from the 
parsing of these files and from impementation details of the build 
system

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Provides: ros-%{stackname} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
mkdir build
pushd build
%cmake .. \
  -DSETUPTOOLS_DEB_LAYOUT=OFF \
  -DCMAKE_INSTALL_PREFIX=/opt/ros/fuerte
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
%doc
/opt/ros/%{rosdistro}/share/%{stackname}/*.xml
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/%{stackname}
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*egg-info

%files devel
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/%{stackname}/cmake

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-2.git95ca00d
- Rebuild for new copr

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-1.git95ca00d
- Initial fuerte package

